libappindicator-dev_0.4.92-3.1_amd64.deb


Advertisement

Description

libappindicator-dev - allow applications to export a menu into the panel -- development

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libappindicator-dev
Package version: 0.4.92
Package release: 3.1
Package architecture: amd64
Package type: deb
Installed size: 165 B
Download size: 44.66 KB
Official Mirror: ftp.br.debian.org
A library to allow applications to export a menu into the panel. Based on KSNI it also works in KDE and will fallback to generic Systray support if none of those are available. This package contains files that are needed to build applications.

Alternatives

    Download

    Source package: libappindicator

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libappindicator-dev deb package:
      # sudo apt-get install libappindicator-dev

    Files

    • /usr/include/libappindicator-0.1/libappindicator/app-indicator-enum-types.h
    • /usr/include/libappindicator-0.1/libappindicator/app-indicator.h
    • /usr/lib/libappindicator.so
    • /usr/lib/pkgconfig/appindicator-0.1.pc
    • /usr/share/doc/libappindicator-dev/AUTHORS
    • /usr/share/doc/libappindicator-dev/README
    • /usr/share/doc/libappindicator-dev/changelog.Debian.gz
    • /usr/share/doc/libappindicator-dev/changelog.gz
    • /usr/share/doc/libappindicator-dev/copyright
    • /usr/share/gir-1.0/AppIndicator-0.1.gir
    • /usr/share/vala/vapi/appindicator-0.1.vapi

    Changelog

    2014-10-31 - Balint Reczey <balint@balintreczey.hu> libappindicator (0.4.92-3.1) unstable; urgency=medium * Non-maintainer upload. * Don't treat deprecated API usage as error during the build to fix FTBFS (Closes: #763211)

    2013-12-27 - Andrew Starr-Bochicchio <asb@debian.org> libappindicator (0.4.92-3) unstable; urgency=medium * Team upload. * Transition build depend to valac (Closes: #709691). Fixes FTBFS (Closes: #710621). * Fix removal of .a and .la files from python-appindicator.

    2012-06-10 - Evgeni Golov <evgeni@debian.org> libappindicator (0.4.92-2) unstable; urgency=low * Also build on non-mono arches (mips, mipsel, s390, hurd-i386 atm). + Add optional-mono.patch so build suceeds if no mono is available. + Move mono-deps to B-D-Indep.

    2012-05-25 - Evgeni Golov <evgeni@debian.org> libappindicator (0.4.92-1) unstable; urgency=low * Import libappindicator from Ubuntu. Closes: #675395 * Drop B-D on dbus-test-runner, it's not available in Debian (yet) * Set Maintainer, Uploaders, Vcs-* to pkg-ayatana * Improve package descriptions * gir* packages belong into section introspection * Standards-Version: 3.9.3

    2012-05-23 - Robert Ancell <robert.ancell@canonical.com> libappindicator (0.4.92-0ubuntu2) quantal; urgency=low * [Evgeni Golov] * debian/rules: - Use autoreconf.mk instead of running dh_autoreconf by hand

    2012-03-21 - Ken VanDine <ken.vandine@canonical.com> libappindicator (0.4.92-0ubuntu1) precise; urgency=low [ Charles Kerr ] * New upstream release. * Fix a Coverity PW.BRANCH_PAST_INITIALIZATION error (LP: #957471) * Fix FTB bug from ambiguity between Glib.Menu and Gtk.Menu in the Vala code * debian/control: Updating to valac-0.16

    2012-03-09 - Sebastien Bacher <seb128@ubuntu.com> libappindicator (0.4.91-0ubuntu3) precise; urgency=low * debian/rules: build without make check until the builder environment issues are sorted

    2012-03-09 - Sebastien Bacher <seb128@ubuntu.com> libappindicator (0.4.91-0ubuntu2) precise; urgency=low * debian/control: build-depends on dbus-test-runner

    2012-03-09 - Sebastien Bacher <seb128@ubuntu.com> libappindicator (0.4.91-0ubuntu1) precise; urgency=low * debian/rules: - run make check during the build [ Ted Gould ] * New upstream release. * Set name and title in fallback status item (LP: #885080) * Fix build in non-source dir cases (LP: #931764) * Use file names for icons in fallback mode (LP: #875770) * Add since declarations to documentation * Fix test suite to work with libindicator 0.4.93 * Fix the mono binding properties

    2012-02-07 - Sebastien Bacher <seb128@ubuntu.com> libappindicator (0.4.90-0ubuntu2) precise; urgency=low * debian/control: - don't make libappindicator3-dev depends on libappindicator-dev * debian/libappindicator3-dev.install: - install the gtk3 include directory

    Advertisement
    Advertisement